<?php
/**
 * Custom AppController for cheeseCake
 *
 * This for now is used to set the application wide settings
 *
 * @copyright Dr. Tarique Sani, tarique@sanisoft.com
 * @license http://opensource.org/licenses/gpl-license.php GNU General Public License V2
 * @package cheeseCake
 * @version $Id: app_controller.php 263 2006-08-14 11:11:29Z amit $
 */
uses('sanitize');
class AppController extends Controller  {

    /**
     * @var array rdSimpleAuth manages the authentication system - the photoblog has only one Admin
     */
    var $components = array('rdSimpleAuth');
    var $view = 'Theme';

    function __construct()
    {
        parent::__construct();

        /**
         * Call to controller's private method to initialize components by default
         */
        $this->_initComponents();

        /**
         * If the config settings are not in Session put them
         */
        $configObject =& new Config();
        $configModified = $configObject->find('id=1',array('modified'));
        if($this->Session->read('cheeseCake') == false || $this->Session->read('cheeseCake.modified')<>$configModified['Config']['modified']){
            $config = $configObject->find('id=1');
            foreach ($config['Config'] as $name => $value)
            {
                $this->Session->write('cheeseCake.'.$name,$value);
            }
        }
        $this->siteName = $this->Session->read('cheeseCake.siteName');
        $this->siteUrl = $this->Session->read('cheeseCake.siteUrl');
        $this->theme = $this->Session->read('cheeseCake.theme');
    }

}
?>